DROPUSER(1)

NAME
dropuser - remove a PostgreSQL user account

SYNOPSIS

dropuser [ option... ] [ username ]

DESCRIPTION

dropuser removes an existing PostgreSQL user. Only superusers and users with the CREATEROLE privilege can remove PostgreSQL users. (To remove a superuser, you must yourself be a superuser.)

dropuser is a wrapper around the SQL command DROP ROLE [drop_role(7)]. There is no effective difference between dropping users via this utility and via other methods for accessing the server.

OPTIONS

dropuser accepts the following command-line arguments:

username
    Specifies the name of the PostgreSQL user to be removed. You will be prompted for a name if none is specified on the command line.

-e

--echo
    Echo the commands that dropuser generates and sends to the server.

-i

--interactive
    Prompt for confirmation before actually removing the user.

-q

--quiet
    Do not display a response.

dropuser also accepts the following command-line arguments for connection parameters:

-h host

--host host
    Specifies the host name of the machine on which the server is running. If the value begins with a slash, it is used as the directory for the Unix domain socket.

-p port

--port port
    Specifies the TCP port or local Unix domain socket file extension on which the server is listening for connections.

-U username

--username username
    User name to connect as (not the user name to drop)

-W

--password
    Force password prompt (to connect to the server, not for the password of the user to be dropped).

ENVIRONMENT

PGHOST

PGPORT

PGUSER
    Default connection parameters

This utility, like most other PostgreSQL utilities, also uses the environment variables supported by libpq (see in the documentation).

DIAGNOSTICS

In case of difficulty, see DROP ROLE [drop_role(7)] and psql(1) for discussions of potential problems and error messages. The database server must be running at the targeted host. Also, any default connection settings and environment variables used by the libpq front-end library will apply.

EXAMPLES

To remove user joe from the default database server:

$ dropuser joe
DROP ROLE

To remove user joe using the server on host eden, port 5000, with verification and a peek at the underlying command:

$ dropuser -p 5000 -h eden -i -e joe
Role "joe" will be permanently removed.
Are you sure? (y/n) y
DROP ROLE "joe"
DROP ROLE

SEE ALSO
createuser(1), DROP ROLE [drop_role(7)]